Bug 45148

Summary: The actual host of the request will be more helpful in mod_status, instead of the server name
Product: Apache httpd-2 Reporter: Nikolay Bachiyski <nb>
Component: mod_statusAssignee: Apache HTTPD Bugs Mailing List <bugs>
Status: RESOLVED LATER    
Severity: enhancement CC: apache
Priority: P2 Keywords: MassUpdate
Version: 2.2.8   
Target Milestone: ---   
Hardware: All   
OS: All   
Attachments: Patch, which uses the Host header where present and server name otherwise.

Description Nikolay Bachiyski 2008-06-06 03:02:30 UTC
Created attachment 22085 [details]
Patch, which uses the Host header where present and server name otherwise.

Actual Results:
mod_status shows the virtual host (server name) of each request.

Expected Results:
It can show the value of the Host header, where it is present. The real host will be more helpful for administrators, than just the virtual host.

Additional Information:
Thanks to Barry Abrahamson, who inspired me to patch this.
Comment 1 Stefan Fritsch 2011-06-18 13:36:38 UTC
*** Bug 50555 has been marked as a duplicate of this bug. ***
Comment 2 Emmanuel Hocdet 2011-07-28 12:58:28 UTC
in 2.3-head this patch work well for me.
ap_get_server_name reflect the real virtualhost configuration

--- apache2.3-trunk.orig/server/scoreboard.c    2011-07-21 11:13:55 +0000
+++ apache2.3-trunk/server/scoreboard.c    2011-07-27 10:12:13 +0000
@@ -492,7 +492,7 @@
                         REMOTE_NOLOOKUP, NULL), sizeof(ws->client));
             copy_request(ws->request, sizeof(ws->request), r);
             if (r->server) {
-                apr_cpystrn(ws->vhost, r->server->server_hostname,
+                apr_cpystrn(ws->vhost, ap_get_server_name(r),
                             sizeof(ws->vhost));
             }
         }
Comment 3 William A. Rowe Jr. 2018-11-07 21:09:10 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.